| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Audio
Audio.Codec
Audio.Codec.decoder

# Method Audio.Codec.decoder()->decode()

Method decode

  `mapping|int decode(int|void partial)`

Description

  Decodes audio data

Parameter `partial`

  Only one frame will be decoded per call.

Returns

  If successfull a mapping with decoded data and byte number of used input data is returned, `0` otherwise.